STRCHR(3)

NAME
strchr, strchrnul - locate character in string

LIBRARY
libc

SYNOPSIS
#include <string.h>
char *
strchr(const char *s, int c);
char *
strchrnul(const char *s, int c);

DESCRIPTION
The strchr() and strchrnul() functions locate the first occurrence of c in the string pointed to by s. The terminating NUL character is considered part of the string. If c is ‘\0’, strchr() and strchrnul() locate the terminating ‘\0’.

RETURN VALUES
The function strchr() returns a pointer to the located character, or NULL if the character does not appear in the string. The function strchrnul() returns a pointer to the located character, or a pointer to the NUL terminating character of the string if the character does not appear in the string.

EXAMPLES
After the following call to strchr(), p will point to the string "oobar":

    char *p;
    char *s = "foobar";
    p = strchr(s, 'o');

SEE ALSO
index(3), memchr(3), rindex(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

STANDARDS
The strchr() function conforms to ansiC.

HISTORY
The strchrnul() first appeared in glibc 2.1.1 and was added to FreeBSD 10 and NetBSD 8.